> ## Documentation Index
> Fetch the complete documentation index at: https://docs.buildwithchirp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create app

> Create a new app in the organization



## OpenAPI

````yaml /openapi.json post /v1/organization/apps
openapi: 3.1.0
info:
  version: 1.0.0
  title: Chirp API
  description: Communication APIs for SMS, MMS, and WhatsApp messaging
servers:
  - url: https://api.buildwithchirp.com
security: []
paths:
  /v1/organization/apps:
    post:
      tags:
        - Admin
        - Apps
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAppRequest'
      responses:
        '201':
          description: Create a new app
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppResponse'
        '409':
          description: Conflict - app with this slug already exists
      security:
        - adminAuth: []
components:
  schemas:
    CreateAppRequest:
      type: object
      properties:
        slug:
          type: string
          minLength: 1
          example: my-app
          description: Unique slug identifier for the app
        name:
          type: string
          minLength: 1
          example: My App
          description: Human-readable name of the app
      required:
        - slug
        - name
    AppResponse:
      type: object
      properties:
        id:
          type: string
          pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
          example: app_2DbBs7GWhGvVNJGrDXr5RG0mBWI
          description: 'Unique identifier for a App. Format: app_[test_]{ksuid}'
        slug:
          type: string
          example: my-app
          description: App slug identifier
        name:
          type: string
          example: My App
          description: Human-readable name of the app
        status:
          type: string
          enum:
            - active
            - billing_paused
          example: active
          description: App status
        createdAt:
          type: string
          format: date-time
          example: '2021-08-01T00:00:00Z'
          description: When the app was created
        updatedAt:
          type: string
          format: date-time
          example: '2021-08-01T00:00:00Z'
          description: When the app was last updated
      required:
        - id
        - slug
        - name
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    adminAuth:
      type: http
      scheme: bearer
      description: 'Admin API key (format: sk_admin_*) for organization-level operations'

````